# Class Admin::TeamMembersController < AdminController

- app/controllers/admin/team_members_controller.rb

Methods

D
  - destroy
E
  - edit
U
  - update

Instance Public methods
destroy() Link

Source: show

    # File app/controllers/admin/team_members_controller.rb, line 16
    def destroy
      @admin_team_member = UsersProject.find(params[:id])
      @admin_team_member.destroy

      redirect_to :back
    end

edit() Link

Source: show

    # File app/controllers/admin/team_members_controller.rb, line 2
    def edit
      @admin_team_member = UsersProject.find(params[:id])
    end

update() Link

Source: show

    # File app/controllers/admin/team_members_controller.rb, line 6
    def update
      @admin_team_member = UsersProject.find(params[:id])

      if @admin_team_member.update_attributes(params[:team_member])
        redirect_to [:admin, @admin_team_member.project],  notice: 'Project Access was successfully updated.'
      else
        render action: "edit"
      end
    end